Bug 430803 - selinux prevents kismet from running [NEEDINFO]
selinux prevents kismet from running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kismet (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 15:50 EST by Russ Huguley
Modified: 2009-12-18 01:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:03:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rh-bugzilla: needinfo? (russ)


Attachments (Terms of Use)

  None (edit)
Description Russ Huguley 2008-01-29 15:50:45 EST
Description of problem:
Selinux policy prevents kismet from running.

Version-Release number of selected component (if applicable):
latest

How reproducible:
yum install kismet
add card to kismet.conf
turn on selinux
start kismet

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
avc: denied { sys_module } for comm=kismet_server egid=0 euid=0
exe=/usr/bin/kismet_server exit=-19 fsgid=0 fsuid=0 gid=0 items=0 pid=9983
scontext=system_u:system_r:kismet_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:kismet_t:s0-s0:c0.c1023 suid=0 tclass=capability
tcontext=system_u:system_r:kismet_t:s0-s0:c0.c1023 tty=(none) uid=0
Comment 1 Daniel Walsh 2008-01-30 11:00:12 EST
Ok, I can add this for Fedora 8 selinux-policy-3.0.8-82, or is it possible for
you to load the module from the init script.  This is very bad design, and I
don't want to add it to rawhide.

Allowing a service that listens to random packets to be able to load kernel
modules and modify the way the kernel runs, is risky.

I would prefer the init script to load any required kernel modules before
running the kismet server.  

Currently we allow very few confined processes to have the sys_module capability.
Comment 2 Enrico Scholz 2008-01-30 12:49:23 EST
does kismet run when the module is loaded already?

If so, I suggest to create an executable /etc/sysconfig/modules/kismet.module
script like

| #!/bin/sh
| exec /sbin/modprobe <your-module>

(I will add this to README.fedora)

kismet itself does not have an initscript where module loading can be placed into. 
Comment 3 Bug Zapper 2008-11-26 04:37:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:25:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:03:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.